<?php

namespace Tests\Services\OrderCountingRecordService;

use App\Services\CacheService;
use App\Services\OrderCountingRecordService;
use App\User;
use Tests\TestCase;

class OrderCountingRecordServiceWarehouseCountingRecordsTest extends TestCase
{
    /** @var OrderCountingRecordService $orderCountingRecordService */
    public $orderCountingRecordService;

    public function setUp(): void
    {
        parent::setUp();
        $this->orderCountingRecordService = app(OrderCountingRecordService::class);
    }

    public function testLogisticsCountingRecords()
    {
        $user =  User::query()->find(1)->first();

        $dataList =  $this->orderCountingRecordService->warehouseCountingRecords('2020-10-01', '2020-11-09',null,$user);
        self::assertTrue($dataList->isNotEmpty());
        dd($dataList);

    }
}
